#include "Warrior.h"
#include<iostream>

Warrior::Warrior(string nm, int lvl, int lf, int arm)
 :Hero(nm,lvl,lf), armor(arm)
{

}

void Warrior::setarmor(int arm)
{
    armor=arm;
}

int Warrior::getarmor() const
{
    return armor;
}

void Warrior::attack(Hero *x, int d)
{
    int new_life=x->getlife()-d;
    x->setlife(new_life);
    cout<<this->getname()<<" deals "<<d<<" damage to "<<x->getname()<<endl;
}

void Warrior::attack(Warrior *x, int d)
{
    int new_life=x->getlife()-d/x->getarmor();
    x->setlife(new_life);
    cout<<this->getname()<<" deals "<<d/x->getarmor()<<" damage to "<<x->getname()<<endl;
}

